#include <stdio.h>

typedef int Huge[1001];

  Huge A, B, C, R;
  unsigned long a, b, Rest;

void Atrib0(Huge H)
{
  H[0]=0;
}

void AtribValue(Huge H, unsigned long X)
{
  H[0]=0;
  while (X)
    {
      H[++H[0]]=X%10;
      X/=10;
    }
}

void AtribHuge(Huge H, Huge X)
{
  int i;
  for (i=0; i<=X[0]; i++) H[i]=X[i];
}

int Sgn(Huge H1, Huge H2)
{
  int i;
  while (!H1[H1[0]] && H1[0]) H1[0]--;
  while (!H2[H2[0]] && H2[0]) H2[0]--;
  if (H1[0] != H2[0])
    return H1[0]<H2[0]?-1:1;
  i=H1[0];
  while ((H1[i]==H2[i] && i)) i--;
  return H1[i]<H2[i]?-1:H1[i]==H2[i]?0:1;
}

void Add(Huge A, Huge B, Huge C)
{
  int i, T=0;   //A+B-->C
  if (B[0]>A[0])
    {
      for (i=A[0]+1; i<=B[0]; ) A[i++]=0;
      A[0]=B[0];
    }
  else
    for (i=B[0]+1; i<=A[0]; ) B[i++]=0;
  C[0]=A[0];
  for (i=1; i<=A[0]; i++)
    {
      C[i]=A[i]+B[i]+T;
      T=C[i]/10;
      C[i]%=10;
    }
  if (T) C[++C[0]]=T;
}

void Add1(Huge A, Huge B)
{
  int i, T=0;   //A+B-->A
  Huge C;
  if (B[0]>A[0])
    {
      for (i=A[0]+1; i<=B[0]; ) A[i++]=0;
      A[0]=B[0];
    }
  else
    for (i=B[0]+1; i<=A[0]; ) B[i++]=0;
  C[0]=A[0];
  for (i=1; i<=A[0]; i++)
    {
      C[i]=A[i]+B[i]+T;
      T=C[i]/10;
      C[i]%=10;
    }
  if (T) C[++C[0]]=T;
  for (i=0; i<1001; i++) A[i]=C[i];
}

void Subtract(Huge A, Huge B, Huge C)
{
  int i, T=0;         //A-B-->C
  Huge X;
  for (i=0; i<1001; i++) X[i]=A[i];
  for (i=B[0]+1; i<=A[0]; ) B[i++]=0;
  for (i=1; i<=A[0]; i++)
    A[i]+=(T=(A[i]-=B[i]+T)<0)?10:0;
  while (!A[A[0]]) A[0]--;
  for (i=0; i<1001; i++) C[i]=A[i];
  for (i=0; i<1001; i++) A[i]=X[i];
}

void Shl(Huge H, int Count)
{
 int i;
 for (i=H[0]; i; i--)
   H[i+Count]=H[i];
 for (i=1; i<=Count; ) H[i++]=0;
 H[0]+=Count;
}

void Shr(Huge H, int Count)
{
  int i;
  for (i=Count+1; i<=H[0]; i++) H[i-Count]=H[i];
  H[0]-=Count;
}

void Mult(Huge H, unsigned long X)
{
  int i;
  unsigned long T=0;      //A*n-->A
  for (i=1; i<=H[0]; i++)
    {
      H[i]=H[i]*X+T;
      T=H[i]/10;
      H[i]=H[i]%10;
    }
  while (T)
    {
      H[++H[0]]=T%10;
      T/=10;
    }
}

void MultHuge(Huge A, Huge B, Huge C)
{
  int i, j, T=0;         //A*B-->C
  C[0]=A[0]+B[0]-1;
  for (i=1; i<=A[0]+B[0]; ) C[i++]=0;
  for (i=1; i<=A[0]; i++)
    for (j=1; j<=B[0]; j++)
      C[i+j-1]+=A[i]*B[j];
  for (i=1; i<=C[0]; i++)
    {
      T=(C[i]+=T)/10;
      C[i]%=10;
    }
  if (T) C[++C[0]]=T;
}

unsigned long Divide(Huge A, unsigned long X)
{
  int i;
  unsigned long R=0;
  for(i=A[0]; i; i--)
    {
      A[i]=(R=10*R+A[i])/X;
      R%=X;
    }
  while (!A[A[0]]&&A[0]>1) A[0]--;
  return R;
}

unsigned long Mod(Huge A, unsigned long X)
{
  int i;
  unsigned long R=0;
  for (i=A[0]; i; i--)
    R=(10*R+A[i])%X;
  return R;
}

void DivideHuge(Huge A, Huge B, Huge C, Huge R)
{
  int i;
  Huge Aux;
  R[0]=0;
  C[0]=A[0];
  for (i=A[0]; i; i--)
    {
      Shl(R, 1); R[1]=A[i];
      C[i]=0;
      while (Sgn(B, R)!=1)
	{
	  C[i]++;
	  Subtract(R, B, Aux);
	  AtribHuge(R, Aux);
	}
    }
  while (!C[C[0]]&&C[0]>1) C[0]--;
}

void DivideHuge1(Huge A, Huge B, Huge C, Huge R)
{
  int i;
  Huge Unu, Aux;
  for (i=0; i<1001; i++) Unu[i]=C[i]=Aux[i]=0;
  for (i=0; i<=A[0]+1; i++) R[i]=A[i];
  Unu[0]=1; Unu[1]=1; C[0]=0;
  while (Sgn(R, B)>=0)
    {
      Subtract(R, B, Aux);
      Add1(C, Unu);
      AtribHuge(R, Aux);
    }
}

void WriteHuge(Huge A)
{
  int i;
  for (i=A[0]; i; i--) printf("%d", A[i]);
  printf("\n");
}

int main()
{
  printf("a="); scanf("%lu", &a);
  printf("b="); scanf("%lu", &b);
  AtribValue(A, a); WriteHuge(A);
  AtribValue(B, b); WriteHuge(B);
//  printf("ADUNARE\n");
//  Add(A, B, C); WriteHuge(C);      //OK  A+B-->C
//  printf("ADUNARE\n");
//  Add1(A, B); WriteHuge(A);        //OK  A+B-->A
//  printf("SCADERE\n");
//  Subtract(A, B, C); WriteHuge(C); //OK  A-B-->C
//  printf("INMULTIRE CU SCALAR\n");
//  Mult(A, 11); WriteHuge(A);       //OK  A*n-->A  !!!aici n=11
//  printf("INMULTIRE CU PUTERE A LUI 10\n");
//  Shl(A, 2); WriteHuge(A);         //OK  A*10^n-->A !!!aicin=2
//  printf("IMPARTIRE INTREAGA CU O PUTERE A LUI 10\n");
//  Shr(A, 2); WriteHuge(A);         //OK  [A/10^n]-->A  !!!aici n=2
//  printf("INMULTIRE\n");
//  MultHuge(A, B, C); WriteHuge(C); //OK  A*B-->C
//  printf("IMPARTIRE CU SCALAR\n");
//  Rest=Divide(A, 11); AtribValue(C, Rest); WriteHuge(A); WriteHuge(C); //OK [A/n]-->A  si Rest !!!aici n=11
//  printf("IMPARTIRE CU SCALAR\n");
//  Rest=Mod(A, 11); AtribValue(C, Rest); WriteHuge(C); //OK A mod n-->Rest !!!aici n=11
//  printf("IMPARTIRE\n");
//  DivideHuge(A, B, C, R); WriteHuge(C); WriteHuge(R); //OK [A/B]-->C  A mod B-->R
//  printf("IMPARTIRE\n");
//  DivideHuge1(A, B, C, R); WriteHuge(C); WriteHuge(R); //OK [A/B]-->C  A mod B-->R
  return 0;
}